
module ActiveLDAP
 # Configuration
 # 
 # Configuration provides the default settings required for
 # ActiveLDAP to work with your LDAP server. All of these
 # settings can be passed in at initialization time.
 module Configuration
    @@host = "127.0.0.1"
    @@port = 389
    @@bind_format = "uid=%s,ou=People,dc=example,dc=com"

    # Make the return value the string that is your LDAP base
    def Base.base
      'dc=example,dc=com'
    end

    # This is optionally set to the array of objectClass names
    # that are minimally required for EVERY object on your LDAP server.
    # If you don't want one, set this to [].
    def Base.required_classes
      ['top']
    end
 end
end
